--- configure.ac.orig
+++ configure.ac
@@ -383,6 +383,24 @@ AC_HELP_STRING([--with-logdir=DIR],
 		 AC_MSG_RESULT(no)
 	         AC_DEFINE_DIR(LOG_DIR, logdir, [Prefix where to write logfiles.])
 	  	 AC_SUBST_DIR([logdir])]
+)
+
+dnl **********************************************************************
+dnl Check for --with-rundir
+dnl **********************************************************************
+
+AC_MSG_CHECKING([whether to modify rundir])
+AC_ARG_WITH(rundir, 
+AC_HELP_STRING([--with-rundir=DIR],
+	       [Directory where to write runtime files.]),
+	       [ rundir=`echo $withval | sed 's/\/$//'`
+		 AC_MSG_RESULT(yes)
+		 AC_DEFINE_DIR(RUN_DIR, rundir, [Prefix where to write runtime files.])
+		 AC_SUBST_DIR([rundir]) ],
+	       [ rundir='${localstatedir}/run'
+		 AC_MSG_RESULT(no)
+	         AC_DEFINE_DIR(RUN_DIR, rundir, [Prefix where to write runtime files.])
+	  	 AC_SUBST_DIR([rundir])]
 )
 
 dnl **********************************************************************
--- include/config.h.orig
+++ include/config.h
@@ -61,7 +66,7 @@
 #define DBPATH   ETCPATH "/ban.db"
 #define MPATH    ETCPATH "/ircd.motd"	/* MOTD file */
 #define LPATH    LOGPATH "/ircd.log"	/* ircd logfile */
-#define PPATH    ETCPATH "/ircd.pid"	/* pid file */
+#define PPATH    RUN_DIR "/ircd.pid"	/* pid file */
 #define OPATH    ETCPATH "/opers.motd"	/* oper MOTD file */
 
 /* HANGONGOODLINK and HANGONGOODLINK
